
Figure - Bug #116447
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开视频小窗播放视频、点击小窗关闭按钮、小窗关闭时同步闪过视频列表页
面
2023-02-22 14:49 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-06

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当一个Task有多个ActivityRecord时,点击小窗的关闭按钮,它是按照从Top到bottom的顺序依次finish的,所以在finish当前Activity后,会看到下一个activity

Description

【前提条件】

1、设备已开机

2、本地有视频

【测试步骤】

1、打开视频小窗

2、播放一个视频

3、点击右上角关闭按钮

【预期结果】

3、视频小窗关闭，过程自然流畅

【实际结果】

3、小窗关闭时同步闪过视频列表页面

History

#1 - 2023-02-28 10:22 - CD FW-鲁凯峰

- Due date set to 2023-03-06

#2 - 2023-02-28 14:36 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#3 - 2023-03-06 16:20 - CD FW-鲁凯峰

- Root cause set to 当一个Task有多个ActivityRecord时,点击小窗的关闭按钮,它是按照从Top到bottom的顺序依次finish的,所以在finish当前Activity后,会看到下

一个activity

■ Current conclusion

问题已经解决

■ My analysis

产生的问题原因是,当一个Task有多个ActivityRecord时,点击小窗的关闭按钮,它是按照从Top到bottom的顺序依次finish的,所以在finish当前Activity后,会看到

下一个activity
解决方法是:在freeform模式下,按照从bottom到top的顺序去finish activity,避免这种现象

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/185919

#4 - 2023-03-06 18:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185919 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: clear finish animationTC-RID: 1201-0204601IssueID: TS-R-BUG-116447Change-Id: I3d724285089355d459e73840c9f19278b628ef94

#5 - 2023-03-06 18:21 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

#6 - 2023-03-06 18:22 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#7 - 2023-03-07 10:20 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

3.7

验证通过

#8 - 2023-03-07 10:21 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

Files

Phone-STS40X190078 2023-02-22 14-49-01.mp4 12.2 MB 2023-02-22 CD TEST-方永红
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/185919

